Eclipse Platform Release 3.7

## org.eclipse.swt.events
Class MenuEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.events.MenuEvent

All Implemented Interfaces:
  Serializable

    public final class MenuEvent

extends TypedEvent

Instances of this class are sent as a result of menus being shown and hidden.

See Also:
  `MenuListener`, Sample code and further information, Serialized Form

Field Summary

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MenuEvent(Event e)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuEvent

    public MenuEvent(Event e)

  Constructs a new instance of this class based on the information in the given untyped event.

  Parameters:
    `e` - the untyped event containing the information

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.